# Location search

POST `/store-location`

This endpoint lets you to search for stores based on location.&#x20;

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Request body**

```json
{
  "city":"New York City",
  "state":"New York",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json">{
 "status": "success",
 "data": [{
<strong> "createdAt": "2024-06-06T09:53:04.959Z",
</strong>            "updatedAt": "2025-01-07T07:18:47.738Z",
            "__v": 1,
            "city": "New York",
            "country": "US",
            "state": "New York",
            "deletedProducts": [],
            "latitude": 40.7127753,
            "longitude": -74.0059728,
        "name": "Kylie Cosmetics",
            "storeType": "shopify",
            "storeUrl": "https:kyliecosmetics.com",
            "isScrapped": true,
            "creator": "653635e3ac59b9ce433479f9",
            "brandsAvailable": [
                "66618700c13eedbcd4ae9f19",
                "66618700c13eedbcd4ae9f1d",
                "66618700c13eedbcd4ae9f21",
                "66618700c13eedbcd4ae9f25",
                "66618700c13eedbcd4ae9f29",
                "66618700c13eedbcd4ae9f2d"
            ],
            "_id": "66618700c13eedbcd4ae9f16",
  "products": [
                {
                    "_id": "670506ded181415398ae5d72",
                    "name": "Wisp Lash Kylie Jenner Mascara Mini Sample",
                    "description": "No Description",
                    "brand": "kylie-samples",
                    "country": "US",
                    "currency": "USD",
                    "storeName": "Kylie Cosmetics",
                    "keywords": [],
                    "slug”: “wisp-lash-kylie-jenner-mascara-mini-sample-1ml-142eb014-f02f-4382-a371-5656f978a0ce-1728382686735",
                    "variants": [],
                    "price": 0.5,
                    "tags": [
                        "_free_sample",
                        "nosto_exclude"
                    ],
                    "externalProductId": “8096711901426”,
                    "published_at": "2024-10-04T00:05:02.000Z",
                    "last_updated": "2024-10-08T10:18:02.000Z",
                    "verifiedAt": "2024-10-08T10:18:06.735Z",
                    "isVerified": false,
                    "isBoosted": false,
                    "source": "shopify",
                    "images": [
                        "https://cdn.shopify.com/s/files/1/0662/4598/4498/files/KJC_WLM_23_1ml_Stylized.jpg?v=1719262810",
                        "https://cdn.shopify.com/s/files/1/0662/4598/4498/files/KJC_WLM_24_Mascara_Swatch.jpg?v=1719262810"
                    ],
                    "url": "https://kyliecosmetics.com/products/wisp-lash-kylie-jenner-mascara-mini-sample-1ml",
                    "isActive": true,
                    "creator": "653635e3ac59b9ce433479f9",
                    "createdAt": "2024-10-08T10:19:53.438Z",
                    "updatedAt": "2025-01-02T01:16:27.640Z",
                    "agoraScore": 78,
                    "__v": 2,
                    "available": true,
                    "categories": [],
                    "cons": [
                        "The 1ml size is very small and will need frequent replacement if used as a primary mascara"
                    ],
                    "priceHistory": [
                        {
                            "price": 0.5,
                            "date": "2024-10-08T10:19:53.438Z",
                            "_id": "6744e689dfeaea437b33c4e2"
                        }
                    ],
                    "pros": [
                        "The mini size makes it perfect for travel and trying the product",
                        "Creates natural-looking, lengthened lashes",
                        "The formula is buildable without clumping",
                        "Precisely designed brush helps separate and define each lash",
                        "Smudge-resistant formula stays in place throughout the day",
                        "More affordable entry point to try the Kylie Cosmetics mascara line",
                        "The packaging is sleek and compact"
                    ],
                    "storeOrder": 0,
                    "averageRating": 4.2,
                    "discount": 0,
                    "discountPercentage": 0,
                    "discountVal": 0
}]
}
</code></pre>

{% endtab %}

{% tab title="400" %}

```json
{
 "status": "error",
 "data": "Please provide a valid state or city"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/search/location-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
